import { Service, TokenIdentifier } from '../../../../index';
import { SecuritiesRestrictions } from '../models/SecuritiesRestrictions';
/**
 * @class RestrictionService
 * @package services
 * @since v0.5.1
 * @description Class that describes a service around token restrictions features.
 */
export declare class RestrictionService extends Service {
    /**
     * Read token restrictions from network
     *
     * @param {TokenIdentifier}       tokenId     The token identifier.
     * @return {SecuritiesRestrictions}
     */
    getRestrictionsFromNetwork(tokenId: TokenIdentifier): Promise<SecuritiesRestrictions>;
}
