/**
 * Copyright 2020 NEM
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import { AggregateTransaction, PublicAccount, Transaction } from 'symbol-sdk';
import { TransactionURI } from 'symbol-uri-scheme';
import { AllowanceResult, BaseCommand, CommandOption } from '../../index';
export declare class FakeCommand extends BaseCommand {
    get name(): string;
    get descriptor(): string;
    synchronize(): Promise<boolean>;
    canExecute(actor: PublicAccount, argv: CommandOption[] | undefined): AllowanceResult;
    execute(actor: PublicAccount, argv: CommandOption[] | undefined): TransactionURI;
    protected prepare(): AggregateTransaction | Transaction;
    protected get transactions(): Transaction[];
}
